@echo off
set myfolder=%~dp0
if NOT EXIST %myfolder%\ffmpeg.exe goto :error1
if [%1]==[] goto :error2
:loop
set filename=%~n1
set destinationfolder=%~dp1
set fullpath=%1
for /f "delims=" %%a  in ("%fullpath%") do set "Extension=%%~xa"
if /i "%Extension%"==".mp4" (
echo %fullpath% is a mp4 file
echo %filename%
echo %destinationfolder%
echo %myfolder%
echo %fullpath%
%myfolder%\ffmpeg.exe -i %1 -aspect 16:9 -vcodec copy -acodec copy "%filename%-resized.mp4"
del %1
ren "%destinationfolder%%filename%-resized.mp4" "%filename%.mp4"
) else (
echo %fullpath% is NOT a mp4 file
)
shift
if not [%1]==[] goto loop

:eof
Operation complete.
exit

:error1
echo aspect ratio16-9.bat is located in the wrong location. Please me in the bin folder of ffmpeg.
echo If you do not have the program ffmpeg, please go and download it.
pause
exit

:error2
echo No file detected. Please click and drag an mp4 file into aspect ratio 16-9.bat in order for the video to be processed.
echo You can drag more than one video at a time.
pause
exit